public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pillow/files/, dev-python/pillow/
Date: Sun, 25 Oct 2015 09:24:05 +0000 (UTC)	[thread overview]
Message-ID: <1445765041.bf899db504819b910205d5146ad862df8fae9582.jlec@gentoo> (raw)

commit:     bf899db504819b910205d5146ad862df8fae9582
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 25 08:25:24 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Oct 25 09:24:01 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf899db5

dev-python/pillow: Backport fix for tiff image color detection

Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=563986

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 .../pillow-3.0.0-backport-tiff-color-fix.patch     |  39 ++++++++
 dev-python/pillow/pillow-3.0.0-r1.ebuild           | 101 +++++++++++++++++++++
 2 files changed, 140 insertions(+)

diff --git a/dev-python/pillow/files/pillow-3.0.0-backport-tiff-color-fix.patch b/dev-python/pillow/files/pillow-3.0.0-backport-tiff-color-fix.patch
new file mode 100644
index 0000000..b5b5201
--- /dev/null
+++ b/dev-python/pillow/files/pillow-3.0.0-backport-tiff-color-fix.patch
@@ -0,0 +1,39 @@
+From e0cb8f945e22d4f714f1c1de3aa04b3db39c5679 Mon Sep 17 00:00:00 2001
+From: wiredfool <eric-github@soroos.net>
+Date: Sat, 3 Oct 2015 22:46:01 +0100
+Subject: [PATCH] Flatten sampleformat to initial value, fixes #1466
+
+---
+ PIL/TiffImagePlugin.py     |   9 +++++++--
+ Tests/images/copyleft.tiff | Bin 0 -> 7926 bytes
+ Tests/test_file_tiff.py    |   5 +++++
+ 3 files changed, 12 insertions(+), 2 deletions(-)
+ create mode 100644 Tests/images/copyleft.tiff
+
+diff --git a/PIL/TiffImagePlugin.py b/PIL/TiffImagePlugin.py
+index 1f97422..a84d017 100644
+--- a/PIL/TiffImagePlugin.py
++++ b/PIL/TiffImagePlugin.py
+@@ -180,8 +180,6 @@
+     (MM, 2, (1,), 1, (8, 8, 8, 8), (2,)): ("RGBA", "RGBA"),
+     (II, 2, (1,), 1, (8, 8, 8, 8), (999,)): ("RGBA", "RGBA"),  # Corel Draw 10
+     (MM, 2, (1,), 1, (8, 8, 8, 8), (999,)): ("RGBA", "RGBA"),  # Corel Draw 10
+-    (II, 2, (1, 1, 1, 1), 1, (8, 8, 8, 8), (1,)): ("RGBA", "RGBA"),  # OSX Grab
+-    (MM, 2, (1, 1, 1, 1), 1, (8, 8, 8, 8), (1,)): ("RGBA", "RGBA"),  # OSX Grab
+     (II, 3, (1,), 1, (1,), ()): ("P", "P;1"),
+     (MM, 3, (1,), 1, (1,), ()): ("P", "P;1"),
+     (II, 3, (1,), 2, (1,), ()): ("P", "P;1R"),
+@@ -967,6 +965,13 @@ def _setup(self):
+             print("- size:", self.size)
+ 
+         format = self.tag_v2.get(SAMPLEFORMAT, (1,))
++        if len(format) > 1 and max(format) == min(format) == 1:
++            # SAMPLEFORMAT is properly per band, so an RGB image will
++            # be (1,1,1).  But, we don't support per band pixel types,
++            # and anything more than one band is a uint8. So, just
++            # take the first element. Revisit this if adding support
++            # for more exotic images.
++            format = (1,)
+ 
+         # mode: check photometric interpretation and bits per pixel
+         key = (

diff --git a/dev-python/pillow/pillow-3.0.0-r1.ebuild b/dev-python/pillow/pillow-3.0.0-r1.ebuild
new file mode 100644
index 0000000..4d53a59
--- /dev/null
+++ b/dev-python/pillow/pillow-3.0.0-r1.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy )
+PYTHON_REQ_USE='tk?'
+
+inherit distutils-r1 eutils virtualx
+
+MY_PN=Pillow
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Python Imaging Library (fork)"
+HOMEPAGE="https://github.com/python-imaging/Pillow https://pypi.python.org/pypi/Pillow"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.zip"
+
+LICENSE="HPND"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
+IUSE="doc examples jpeg jpeg2k lcms test tiff tk truetype webp zlib"
+
+REQUIRED_USE="test? ( jpeg tiff )"
+
+RDEPEND="
+	jpeg? ( virtual/jpeg:0 )
+	jpeg2k? ( media-libs/openjpeg:2= )
+	lcms? ( media-libs/lcms:2= )
+	tiff? ( media-libs/tiff:0= )
+	truetype? ( media-libs/freetype:2= )
+	webp? ( media-libs/libwebp:0= )
+	zlib? ( sys-libs/zlib:0= )"
+DEPEND="${RDEPEND}
+	app-arch/unzip
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	doc? (
+		dev-python/sphinx[${PYTHON_USEDEP}]
+		dev-python/sphinx-better-theme[${PYTHON_USEDEP}]
+		>=dev-python/sphinx_rtd_theme-0.1[${PYTHON_USEDEP}]
+		<dev-python/sphinx_rtd_theme-0.2[${PYTHON_USEDEP}]
+	)
+	test? ( dev-python/nose[${PYTHON_USEDEP}] )
+	"
+RDEPEND+=" !dev-python/imaging"
+
+S="${WORKDIR}/${MY_P}"
+
+# See _render and _clean in Tests/test_imagefont.py
+DISTUTILS_IN_SOURCE_BUILD=1
+
+PATCHES=(
+	"${FILESDIR}"/${P}-tests.patch
+	"${FILESDIR}"/${P}-backport-tiff-color-fix.patch
+	)
+
+python_prepare_all() {
+	# Disable all the stuff we don't want.
+	local f
+	for f in jpeg lcms tiff tk webp zlib; do
+		if ! use ${f}; then
+			sed -i -e "s:feature.${f} =:& None #:" setup.py || die
+		fi
+	done
+	if ! use truetype; then
+		sed -i -e 's:feature.freetype =:& None #:' setup.py || die
+	fi
+	if ! use jpeg2k; then
+		sed -i -e 's:feature.jpeg2000 =:& None #:' setup.py || die
+	fi
+
+	sed \
+		-e "/required/s:=.*:= set():g" \
+		-e "/if feature in/s:'jpeg', 'libz'::g" \
+		-i setup.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	use doc && emake -C docs html
+}
+
+python_test() {
+	"${PYTHON}" selftest.py --installed || die "selftest failed with ${EPYTHON}"
+	VIRTUALX_COMMAND=nosetests
+	virtualmake -vx Tests/test_*.py || die "Testing failed with ${EPYTHON}"
+}
+
+python_install() {
+	python_doheader libImaging/{Imaging.h,ImPlatform.h}
+
+	distutils-r1_python_install
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( docs/_build/html/. )
+	use examples && local EXAMPLES=( Scripts/. )
+
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2015-10-25  9:24 UTC|newest]

Thread overview: 13+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-10-25  9:24 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-29 12:24 [gentoo-commits] repo/gentoo:master commit in: dev-python/pillow/files/, dev-python/pillow/ Sam James
2024-11-03 15:43 Michał Górny
2024-06-05 17:00 Michał Górny
2024-05-11 11:05 Michał Górny
2024-01-01 12:30 Michał Górny
2020-01-26 13:33 David Seifert
2019-06-05 11:58 Virgil Dupras
2018-10-01 18:46 Virgil Dupras
2018-09-07 18:46 Virgil Dupras
2018-08-04 19:12 Virgil Dupras
2018-07-27  2:59 Virgil Dupras
2015-10-02  9:41 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1445765041.bf899db504819b910205d5146ad862df8fae9582.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox